Bug 17409 - Remove redundant note fields for payments on pay.pl
Summary: Remove redundant note fields for payments on pay.pl
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 1 vote (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 17406
Blocks: 17596
  Show dependency treegraph
 
Reported: 2016-10-05 19:58 UTC by Christopher Brannon
Modified: 2020-01-11 15:35 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2016-10-05 19:58:03 UTC
Currently there is an inconsistency with inputting notes on a payment.

When you go to pay.pl, there is a note field for input next to each item.  However, depending on what you select, there might be a following note field.  That field is populated with the all the notes from the pay.pl screen if you click on Pay selected, blank if you click Pay amount, and not even an option if you Write off all.  Having individual notes lumped together into one payment line might be confusing and depending on the notes, might not make any sense when the payment is made as a single payment.

Because this enhancement is written in hopes that bug 17406 is accepted by the Koha community, I am making this dependent on those enhancements.

1) I suggest that the note fields be removed from the pay.pl page.
2) If bug 17406 is accepted, there will only be two buttons on the pay.pl screen: Pay selected and Write off selected.  Regardless of which button is clicked, a summary page should come up showing what was selected, and totals.
3) The summary page should have a checkbox reading (use first note for all items).  If checked, only the note field on the first item is active.  If unchecked, all note fields are active.  The default should be checked.
4) If there is only 1 item selected, the checkbox should not show.
Comment 1 Kyle M Hall 2016-10-27 17:00:56 UTC
I think my proposal on bug 17406 would also take care of this.